﻿using Maxal.Utls;
using Microsoft.Practices.EnterpriseLibrary.Logging;
using System;
using System.Collections.Generic;
using System.Configuration;
using System.Diagnostics;
using System.Linq;
using System.Net;
using System.Net.Http;
using System.Net.Mail;
using System.Web.Http;
using TennisUmpire.Db;
using TennisUmpire.Model;
using TennisUmpire.Umpire.Web.Models;

namespace TennisUmpire.Umpire.Web.Api
{
    public class LoginController : ApiController
    {
        private TennisUmpireDbContext _db;

        public LoginController(TennisUmpireDbContext db)
        {
            _db = db;
        }

        public string Get()
        {
            if ((User.Identity != null) && User.Identity.IsAuthenticated)
            {
                LoggerUtils.LogVerboseMessage("Login from {0}", User.Identity.Name);
                return User.Identity.Name;
            }
            else
                throw new HttpResponseException(HttpStatusCode.BadRequest);
        }
    }
}
