﻿using Maxal.Utls;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Net;
using System.Net.Http;
using System.Web.Http;
using TennisUmpire.Db;
using TennisUmpire.Model;
using TennisUmpire.Umpire.Web.Models;

namespace TennisUmpire.Umpire.Web.Api
{
    [AllowAnonymous]

    public class RegisterController : ApiController
    {
        private TennisUmpireDbContext _db;

        public RegisterController(TennisUmpireDbContext db)
        {
            _db = db;
        }

        [HttpPost]
        public void Post([FromBody] LoginParameters login)
        {
            try
            {
                LoggerUtils.LogVerboseMessage("Register {0}", login.LoginEmail);
                var user = new User();
                user.LoginEmail = login.LoginEmail;
                user.PasswordHash = TennisUmpire.Model.User.CreatePasswordHash(login.Password);
                user.CreatedUtc = DateTime.UtcNow;
                _db.Users.Add(user);
                _db.SaveChanges();
            }
            catch (Exception ex)
            {
                LoggerUtils.LogException(ex);
                throw new HttpResponseException(HttpStatusCode.Conflict);
            }
        }

    }
}
