﻿using Maxal.Utls;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web.Http;
using TennisUmpire.Umpire.Web.Security;
using Thinktecture.IdentityModel.Tokens.Http;

namespace TennisUmpire.Umpire.Web
{
    public static class WebApiConfig
    {
        public static void Register(HttpConfiguration config)
        {
            var authentication = CreateAuthenticationConfiguration();

            config.Routes.MapHttpRoute(
                name: "DefaultApi",
                routeTemplate: "api/{controller}/{id}",
                defaults: new { id = RouteParameter.Optional }
            );

            config.MessageHandlers.Add(new AuthenticationHandler(authentication));
            config.Filters.Add(new AuthorizeAttribute());

        }

        private static AuthenticationConfiguration CreateAuthenticationConfiguration()
        {
            var authentication = new AuthenticationConfiguration()
            {
                //ClaimsAuthenticationManager = new ClaimsTransformer(),
                RequireSsl = false,
                EnableSessionToken = false
            };

            authentication.AddBasicAuthentication(UserCredentials.Validate, AuthenticationOptions.ForAuthorizationHeader(""));

            LoggerUtils.LogVerboseMessage("CreateAuthenticationConfiguration");

            return authentication;

        }
    }
}
